---
name: Bug Report
about: Create a bug report of Xray.
title: '[Bug] <bug you are reporting>'
labels: ''
assignees: ''

---

<!-- Thanks for your reporting.
1. This issue is used to submit a bug of Xray. If you are not sure, please give feedback in the group.
2. Please check the existing issues, discussions and documentation in detail. Issue which report a known bug may be closed.
3. Please don't report issue like "I can't use a feature". It's probably your fault.
4. You should fully complete the following contents.
5. Make sure that ALL of private information is covered up.
-->


**Describe the bug**
<!-- A clear and concise description of what the bug is. -->

**To Reproduce**
<!-- Steps to reproduce the behavior: -->
1.
2.
3.
4.

**Expected behavior**
<!-- A clear and concise description of what you expected to happen. -->

**Client Log**

<details>

```
Please paste your client log here:


```

</details>

**Server Log**

<details>

```
Please paste your server log here:


```

</details>

**Client config**

<details>

```json
Please paste your client config file here:


```

</details>

**Server Config**

<details>

```json
Please paste your server config file here:


```

</details>

**Client Information**
 - OS: [e.g. Windows 10]
 - Xray version [e.g. 1.3.1]
 - Xray installing approach：[e.g. Xray-install]

**Server Information**
- OS: [e.g. Windows 10]
- Xray version [e.g. 1.3.1]
- Xray installing approach：[e.g. Xray-install]

**Additional Information**
<!-- Add any other information about the problem here. -->
